Subject: RE: [Policy] pcimRepository and pcelsReusableContainer

From: [email-masked]
Date: Sun, 15 Feb 2004 21:10:43 -0600

Ryan,

When it is desired for a PCELS implementation to create reusable policy
definitions that can be shared with PCLS implementations, the
pcelsReusableContainer instances it creates must also be pcimRepository
instances. This is achieved through inheritance (option 1) or through an
explicit action (option 2).

Mircea.

> -----Original Message-----
> From: Ryan Moats [mailto:[email-masked]]
> Sent: Sunday, February 15, 2004 9:39 PM
> To: [email-masked]; [email-masked]
> Subject: Re: [Policy] pcimRepository and pcelsReusableContainer
> 
> 
> On Sunday 15 February 2004 08:04 pm, [email-masked] wrote:
> > The open issue #4 listed in Appendix B) in PCELS-04 refers 
> to the proposed
> > implementation for the ReusablePolicyContainer class. The 
> authors have
> > reached an impasse and would appreciate input from the WG 
> wrt. the options
> > presented below.
> 
> I'll admit to not being an implementer of PCELS (either 
> currently or planned).  
> Having said that, if I were going to implement PCELS on top 
> of my PCLS 
> implementation, I don't really see the difference between the 
> two approaches.  
> The same entry could be designated both pcimRepository and 
> pcelsReusableContainer independent of the two options.
> 
> Color me confused because this really looks like a nit.
> 
> Ryan
>